<main id="main" class="sitemap" role="main">
  <div class="sitemap__content">
    <h1 class="sitemap-content__title">{{t "pages.sitemap.title"}}</h1>

    <ul class="sitemap-content__items">
      <li class="sitemap-content-items__link">
        <LinkTo @route="authenticated.user-dashboard">
          {{t "navigation.main.dashboard"}}
        </LinkTo>
      </li>

      <li class="sitemap-content-items__link">
        <LinkTo @route="authenticated.profile">{{t "navigation.main.skills"}}</LinkTo>
        <ul class="sitemap-content-items-link-skills">
          {{#each @model.scorecards as |scorecard|}}
            <li class="sitemap-content-items-link-skills__skill">
              <LinkTo @route="authenticated.competences.details" @model={{scorecard.competenceId}}>
                {{scorecard.name}}
              </LinkTo>
            </li>
          {{/each}}
        </ul>
      </li>

      <li class="sitemap-content-items__link">
        <LinkTo @route="authenticated.certifications">
          {{t "navigation.main.start-certification"}}
        </LinkTo>
      </li>

      <li class="sitemap-content-items__link">
        <LinkTo @route="authenticated.user-tutorials">
          {{t "navigation.main.tutorials"}}
        </LinkTo>
      </li>

      <li class="sitemap-content-items__link">
        <LinkTo @route="authenticated.user-trainings">
          {{t "navigation.main.trainings"}}
        </LinkTo>
      </li>

      <li class="sitemap-content-items__link">
        <LinkTo @route="fill-in-campaign-code">
          {{t "navigation.main.code"}}
        </LinkTo>
      </li>

      <li class="sitemap-content-items__link">
        <LinkTo @route="authenticated.user-account">
          {{t "navigation.user.account"}}
        </LinkTo>
      </li>

      <li class="sitemap-content-items__link">
        <LinkTo @route="authenticated.user-tests">
          {{t "navigation.user.tests"}}
        </LinkTo>
      </li>

      <li class="sitemap-content-items__link">
        <LinkTo @route="authenticated.user-certifications">
          {{t "navigation.user.certifications"}}
        </LinkTo>
      </li>

      <li class="sitemap-content-items__link">
        <a href="{{this.supportHomeUrl}}" target="_blank" rel="noopener noreferrer">
          {{t "navigation.main.help"}}
          <FaIcon @icon="up-right-from-square" aria-hidden="true" />
          <span class="sr-only">{{t "navigation.external-link-title"}}</span>
        </a>
      </li>

      <li class="sitemap-content-items__link sitemap-items__link--title">{{t "pages.sitemap.resources"}}
        <ul class="sitemap-content-items-link__resources">
          <li class="sitemap-content-items-link-resources__resource">
            <a href={{this.accessibilityUrl}} target="_blank" rel="noopener noreferrer">
              {{t "pages.sitemap.accessibility.title"}}
              <FaIcon @icon="up-right-from-square" aria-hidden="true" />
              <span class="sr-only">{{t "navigation.external-link-title"}}</span>
            </a>
            <ul>
              <li>
                <a href={{this.accessibilityHelpUrl}} target="_blank" rel="noopener noreferrer">
                  {{t "pages.sitemap.accessibility.help"}}
                  <FaIcon @icon="up-right-from-square" aria-hidden="true" />
                  <span class="sr-only">{{t "navigation.external-link-title"}}</span>
                </a>
              </li>
            </ul>
          </li>

          <li class="sitemap-content-items-link-resources__resource">
            <a href={{this.cguUrl}} target="_blank" rel="noopener noreferrer">
              {{t "navigation.footer.eula"}}
              <FaIcon @icon="up-right-from-square" aria-hidden="true" />
              <span class="sr-only">{{t "navigation.external-link-title"}}</span>
            </a>
          </li>

          <li class="sitemap-content-items-link-resources__resource">
            <a href={{this.dataProtectionPolicyUrl}} target="_blank" rel="noopener noreferrer">
              {{t "pages.sitemap.cgu.policy"}}
              <FaIcon @icon="up-right-from-square" aria-hidden="true" />
              <span class="sr-only">{{t "navigation.external-link-title"}}</span>
            </a>
            <ul>
              <li>
                <a href={{this.dataProtectionPolicyUrl}} target="_blank" rel="noopener noreferrer">
                  {{t "pages.sitemap.cgu.subcontractors"}}
                  <FaIcon @icon="up-right-from-square" aria-hidden="true" />
                  <span class="sr-only">{{t "navigation.external-link-title"}}</span>
                </a>
              </li>
            </ul>
          </li>
        </ul>
      </li>
    </ul>
  </div>
</main>